/// <summary>
/// Speichert den DockState des Managers in einen MemoryStream im XML Mode.
/// Der XML Stream wird vom Session Manager an den durch den XPath Parameter
/// vorgebenen Ort abgespeichert.
/// </summary>
public void SaveSessionData()
{
    // Entfernen der Ueberschriften der Dockable Conyrols, da diese Umlaute enthalten, koennen,
    // welche hier nicht verarbeitet werden koennen - da die Ueberschrtiften sowieso ueber Resourcen
    // geladen werden, hat das keine Auswirkungen.
    System.Collections.IEnumerator dockableCtrls = m_DockingManager.Controls;
    while ( dockableCtrls.MoveNext() )
    {
	System.Windows.Forms.Control ctrl = (System.Windows.Forms.Control) dockableCtrls.Current;
	this.m_DockingManager.SetDockLabel(ctrl, "");
    }

    //Daten sammeln

    System.IO.MemoryStream	str = new MemoryStream();

    AppStateSerializer appSer = null;

    //try block fr stream anweisungen
    try
    {
	appSer = new AppStateSerializer(SerializeMode.XMLFmtStream, str);	

	m_DockingManager.SaveDockState(appSer);

	appSer.PersistNow();
	str.Flush();
	str.Position = 0;				

	SessionManager.Singleton.SetSessionData(m_XPathSessionManagement, str.ToArray());    
    }
    catch
    {
	// Dann werden eben keine Siztungsgedaechtnisdaten geschrieben
	System.Diagnostics.Debug.Assert(false, 
	"BaseSubManager.SaveSessionData - Error writing session management data");
    }            
}